#pragma once


// Others
#include <RobotAPI/libraries/armem_objects/client/instance/ObjectReader.h>

namespace armarx::skills::mixin
{
    struct ObjectReadingSkillMixin
    {
        armem::obj::instance::Reader objectReader;

        ObjectReadingSkillMixin(const armem::obj::instance::Reader& r) : objectReader(r)
        {
        }
    };

    struct SpecificObjectReadingSkillMixin
    {
        std::string objectEntityId;
        armem::obj::instance::Reader objectReader;

        SpecificObjectReadingSkillMixin(const std::string& n,
                                        const armem::obj::instance::Reader& r) :
            objectEntityId(n), objectReader(r)
        {
        }
    };
} // namespace armarx::skills::mixin
